/* General styling */
tr:nth-of-type(odd) {
  background-color: #eeeeee;
}

tr th[scope="col"] {
  background-color: #505050;
  color: white;
}

tr th[scope="row"] {
  background-color: #d6ecd4;
}

table.sortable td,
table.sortable th {
  padding: 0.125em 0.25em;
  width: 8em;
}

table.sortable th {
  font-weight: bold;
  border-bottom: thin solid #888;
  position: relative;
}

table.sortable th.no-sort {
  padding-top: 0.35em;
}

table.sortable th:nth-child(5) {
  width: 10em;
}

table.sortable th button {
  padding: 4px;
  margin: 1px;
  font-size: 100%;
  font-weight: bold;
  background: transparent;
  border: none;
  display: inline;
  right: 0;
  left: 0;
  top: 0;
  bottom: 0;
  width: 100%;
  text-align: left;
  outline: none;
  cursor: pointer;
}

table.sortable th button span {
  position: absolute;
  right: 4px;
}

table.sortable th[aria-sort="descending"] span::after {
  content: "▼";
  color: currentcolor;
  font-size: 100%;
  top: 0;
}

table.sortable th[aria-sort="ascending"] span::after {
  content: "▲";
  color: currentcolor;
  font-size: 100%;
  top: 0;
}

table.sortable th[aria-sort="none"] span::after {
  content: "♢";
  color: currentcolor;
  font-size: 100%;
  top: 0;
}

table.sortable td.num {
  text-align: right;
}

table.sortable tbody tr:nth-child(odd) {
  background-color: #ddd;
}

/* Focus and hover styling */

table.sortable th button:focus,
table.sortable th button:hover {
  padding: 2px;
  border: 2px solid currentcolor;
  background-color: #e5f4ff;
}

table.sortable th button:focus span,
table.sortable th button:hover span {
  right: 2px;
}

table.sortable th:not([aria-sort]) button:focus span::after,
table.sortable th:not([aria-sort]) button:hover span::after {
  content: "▼";
  color: currentcolor;
  font-size: 100%;
  top: 0;
}

table input {
  background-position: 10px 12px;
  /* Position the search icon */
  background-repeat: no-repeat;
  /* Do not repeat the icon image */
  font-size: 16px;
  /* Increase font-size */
  padding: 12px 20px 12px 40px;
  /* Add some padding */
  border: 1px solid #ddd;
  /* Add a grey border */
  margin-bottom: 12px;
  /* Add some space below the input */
}

#table_search {
  background-image: url('/search.png');
  /* Add a search icon to input */
  width: 100%;
  /* Full-width */
}

#table_insert {
  background-image: url('/plus.png');
  /* Add a insert icon to input */
  width: 30%;
}

/* Menü (ul) horizontal einzeilig Block mit dezenter Farbe */
nav ul {
  list-style-type: none;
  margin: 0;
  padding: 10px 0;
  background-color: #111;
  overflow: hidden;
}

nav ul li {
  display: inline;
  background-color: #222;
  color: #ccc;
  padding: 5px 10px;
  border-radius: 5px;
  margin-right: 10px;
}

nav ul li a {
  color: #ccc;
  text-decoration: none;
}

nav ul li a:hover {
  color: white;
}

/* https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_tooltip */
.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
}

.tooltip .tooltiptext {
  visibility: hidden;
  /*width: 120px;*/
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  margin-left: -60px;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}


.cert-ok {
  background-color: #2dbd4e;
}

.cert-alt {
  background-color: #e0ba3b;
}

.cert-error {
  background-color: #bd5059;
}

/* Modal Styles */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  background-color: #303030;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-width: 600px;
  display: grid;
  grid-template-rows: auto; /* Höhe passt sich an die Zeilen an */
  grid-template-columns: 2fr 1fr; /* Zwei Spalten */
  gap: 10px; /* Abstand zwischen den Elementen */
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}


.left {
  float: left;
}

.right {
  float: right;
}

footer {
  margin-top: 20px;
  font-size: 0.5em;
}

/* Tabs */
.tabs {
  display: flex;
  justify-content: center;
  margin-bottom: 20px;
}
.tab-login {
  background-color: #505050;
  color: white;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
}
.tab-login.active {
  background-color: #e5f4ff;
  color: #111;
}